int sum(void){ return 0; }        // (0)
forall(ttype Params | { int sum(Params); })
int sum(int x, Params rest) { // (1)
  return x+sum(rest);
}
int main() {
  printf("%d\n", sum(10, 20, 30, 40, 50, 60));
}
